LORDSAWAR-GAME-HOST-SERVER(6)

NAME
lordsawar-game-host-server - Serve up networked lordsawar games.

SYNOPSIS
lordsawar-game-host-server [OPTION...]

DESCRIPTION
Allow remote and local users to start their networked lordsawar games on your computer. The command-line tool lordsawar-game-host-client is used to send commands to this server.

-f, --foreground
    Do not detach from the controlling terminal.

-h, --host HOST
    Specify the hostname that others can reach this machine on.

-p, --port NUMBER
    Start the server on the given port.

-m, --members FILE
    Allow the profile ids in this file to host games. The format of FILE is one id per line, with any lines starting with # being ignored.

-?, --help
    Give this help list.

When a --port is not specified, the server starts on port 22998. The server will search for the lordsawar binary in your path and execute it to begin hosting new games.

FILES

~/.lordsawarrc
    The configuration file.

~/.lordsawar/recently-hosted.xml
    The data file representing the list of games that the server is hosting.

REPORTING BUGS
Report bugs to <https://savannah.nongnu.org/bugs/?group=lordsawar>.